Bug 535589 - (RHQ-2269) unrecoverable transactions never clean up
unrecoverable transactions never clean up
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-07-24 10:13 EDT by John Mazzitelli
Modified: 2014-05-06 16:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-06 16:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-07-24 10:13:00 EDT
mazz: suppose I have a unrecoverable tx in the tx-object-store... every 2 minutes the tx reaper dumps messages about it - how long before the tx recovery mechanism gives up and stops trying to auto-recover?
jhalliday: depends on the config. for the current EAP it will never give up. or surrender :-)   And it's not the reaper, it's the recovery manager.
mazz: ahhh... that's what we are seeing... I thought for some reason it would stop after 24 hours or something.. I must be thinking of something else
jhalliday: that's behavior is possible, it's just not enabled by default.
mazz: can you point me to a wiki/doc that shows how to configure that
jhalliday: which version of the server?
mazz: 4.2.3.GA community distro
jhalliday: ahh, ancient history.  right, I'll do a bit of archeology and mail you the config when I get time.

"Short answer is, the code you need is not in the version of JBossTS used by AS 4.2.3.GA You'd need to backport AtomicActionExpiryScanner from a later release before you can wire it up via the properties file. see JBTM-300 and JBTM-301 --jhalliday"
Comment 1 Red Hat Bugzilla 2009-11-10 16:01:09 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2269
Comment 2 wes hayutin 2010-02-16 11:58:25 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:03:17 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-11-22 14:40:42 EST
 mazz - under what conditions are they unrecoverable, how do we get into this state and how often does it occur?
Comment 5 John Mazzitelli 2010-11-22 15:07:51 EST
I don't think this can occur today - even though we are setup for XA/2PC transactioning, none of our tx's require 2PC and thus nothing should be going in the tx-object-store. And if nothing gets in the tx-object-store, we don't have to worry about things getting left there.

This issue was probably created back in the day when we mistakenly were using bad transactioning in our JMS message beans. That is no longer the case.

Note You need to log in before you can comment on or make changes to this bug.